org.apache.lucene.analysis.core

## Class StopFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.core.StopFilterFactory

- All Implemented Interfaces:
    ResourceLoaderAware

      public class StopFilterFactory
      extends TokenFilterFactory
      implements ResourceLoaderAware

  Factory for `StopFilter`.

       <fieldType name="text_stop" class="solr.TextField" positionIncrementGap="100" autoGeneratePhraseQueries="true">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.StopFilterFactory" ignoreCase="true"
                   words="stopwords.txt" format="wordset"
         </analyzer>
       </fieldType>

  All attributes are optional:

  - `ignoreCase` defaults to `false`
  - `words` should be the name of a stopwords file to parse, if not specified the factory will use `EnglishAnalyzer.ENGLISH_STOP_WORDS_SET`
  - `format` defines how the `words` file will be parsed, and defaults to `wordset`. If `words` is not specified, then `format` must not be specified.

  The valid values for the `format` option are:

  - `wordset` - This is the default format, which supports one word per line (including any intra-word whitespace) and allows whole line comments beginning with the "#" character. Blank lines are ignored. See `WordlistLoader.getLines` for details.
  - `snowball` - This format allows for multiple words specified on each line, and trailing comments may be specified using the vertical line ("|"). Blank lines are ignored. See `WordlistLoader.getSnowballWordSet` for details.
  Since:
    3.1
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "stop"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FORMAT_SNOWBALL`
    `static String` | `FORMAT_WORDSET`
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StopFilterFactory(Map<String,String> args)` Creates a new StopFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)` Transform the specified input TokenStream
    `CharArraySet` | `getStopWords()`
    `void` | `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
    `boolean` | `isIgnoreCase()`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

    - #### FORMAT_WORDSET

          public static final String FORMAT_WORDSET

      See Also:
        Constant Field Values

    - #### FORMAT_SNOWBALL

          public static final String FORMAT_SNOWBALL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StopFilterFactory

          public StopFilterFactory(Map<String,String> args)

      Creates a new StopFilterFactory

  - ### Method Detail

    - #### inform

          public void inform(ResourceLoader loader)
                      throws IOException

      Description copied from interface: `ResourceLoaderAware`
      Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

    - #### isIgnoreCase

          public boolean isIgnoreCase()

    - #### getStopWords

          public CharArraySet getStopWords()

    - #### create

          public TokenStream create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.